==================

# [Spring Security 3.1 Course](http://www.packtpub.com/secure-your-web-applications-with-spring-security/video)

### Overview
Throughout the Spring Security Video Course **you will**: 
- Fully secure your web application with Spring Security
- Implement authentication and registration with the database as well as with LDAP
- Utilize authorization examples that help guide you through the authentication of users step-by-step
- Learn with precise and practical examples for advanced security scenarios such as ACL, REST, and Remember Me
- See how to integrate with your choice of technology and framework

### How to ask questions / file bugs

If you find any bug/issue in any of the projects of the course, or if you just want to ask a question, **please use [the github issue tracker](https://github.com/eugenp/course/issues)** (and provide some minimal detail). Thanks. 


### Course Structure

- [Section 1 - Spring Security Setup](https://github.com/eugenp/course/tree/master/section1)
- [Section 2 - Registration](https://github.com/eugenp/course/tree/master/section2)
- [Section 3 - Remember Me Authentication](https://github.com/eugenp/course/tree/master/section3)
- [Section 4 - Spring Security with LDAP](https://github.com/eugenp/course/tree/master/section4)
- [Section 5 - Authorization with Spring Expressions](https://github.com/eugenp/course/tree/master/section5)
- [Section 6 - REST Authentication and Authorization](https://github.com/eugenp/course/tree/master/section6)
- [Section 7 - Spring Security ACL](https://github.com/eugenp/course/tree/master/section7)



### Quick Start
- clone the course: 
```
https://github.com/eugenp/course.git
```

- build any of the modules/projects: 
```
mvn clean install
```



### Detailed Instructions

- [Eclipse: Setup and Configuration](https://github.com/eugenp/course/wiki/Eclipse%3A-setup-and-configuration)



### General References
- [Spring Security Reference](http://static.springsource.org/spring-security/site/docs/3.1.x/reference/springsecurity.html)
- [Spring Security Reference (single page)](http://static.springsource.org/spring-security/site/docs/3.1.x/reference/springsecurity-single.html)
<br/><br/>
- [Spring Security **Samples** reference](static.springsource.org/spring-security/site/docs/3.1.x/reference/springsecurity-single.html#sample-apps)
- [Spring Security **Samples** on `github`](https://github.com/SpringSource/spring-security/tree/master/samples)


### Further Spring Security Learning
If you enjoyed learning Spring Security throughout this course - head over to [baeldung.com](http://www.baeldung.com/tag/security/) and continue learning about this stuff.